package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentAdminPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

public interface TaxAgentAdminMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxAgentAdminPO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxAgentAdminPO getById(Long id);

	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<TaxAgentAdminPO> listSome(TaxAgentAdminPO taxAgentAdmin);
	
	/**
     * 新增，忽略null字段
     *
     * @param TaxAgentAdminPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxAgentAdminPO TaxAgentAdminPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param TaxAgentAdminPO 修改的记录
     * @return 返回影响行数
     */
	int update(TaxAgentAdminPO TaxAgentAdminPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param TaxAgentAdminPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxAgentAdminPO TaxAgentAdminPO);
	
	/**
     * 删除记录
     *
     * @param TaxAgentAdminPO 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxAgentAdminPO TaxAgentAdminPO);

	void deleteByTaxAgentIds(@Param("taxAgentIds") Collection<Long> taxAgentIds);
}